# Class FormControlMarkTouchedDirective

- Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:11

#####
Index

### Constructors

constructor

### Properties

parent

### Methods

onClick

## Constructors

### constructor

- new FormControlMarkTouchedDirective(parent): FormControlMarkTouchedDirective

- #### Parameters

  - parent: ControlContainer

  #### Returns FormControlMarkTouchedDirective

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:13

## Properties

### `Private` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:13

## Methods

### onClick

- onClick(): void

- #### Returns void

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:17